Package org.apache.calcite.avatica

# Class MissingResultsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.calcite.avatica.MissingResultsException

All Implemented Interfaces:
  `Serializable`

public class MissingResultsException extends Exception
An Exception which denotes that a cached Statement is present but has no `ResultSet`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingResultsException(Meta.StatementHandle handle)`

## Method Summary

Modifier and Type
Method
Description
`Meta.StatementHandle`
`getHandle()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingResultsException

public MissingResultsException(Meta.StatementHandle handle)

## Method Details

### getHandle

public Meta.StatementHandle getHandle()